# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-IO-Zlib
Epoch:		1
Version:	1.10
Release:	6.%{__distinit}%{__distvers}
Summary:	Perl IO:: style interface to Compress::Zlib
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/IO-Zlib/
Source0:	http://search.cpan.org/CPAN/authors/id/T/TO/TOMHUGHES/IO-Zlib-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Carp)
BuildRequires:	perl(Compress::Zlib)
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Compress::Zlib) >= 2.000

%description
This modules provides an IO:: style interface to the Compress::Zlib
package. The main advantage is that you can use an IO::Zlib object in
much the same way as an IO::File object so you can have common code
that doesn't know which sort of file it is using.

%prep
%setup -q -n IO-Zlib-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorlib}/IO/
%{_mandir}/man3/IO::Zlib.3pm*

%changelog
* Fri Jun  8 2012 Paul Howarth <paul@city-fan.org> - 1:1.10-6
- BR: perl(Carp)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Mon Jun 27 2011 Paul Howarth <paul@city-fan.org> - 1:1.10-5
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 1:1.10-4
- Rebuild for perl 5.12.1 in Rawhide
- No need to run tests in verbose mode

* Sat Jun  5 2010 Paul Howarth <paul@city-fan.org> - 1:1.10-3
- Fix dist tag for RHEL-6 Beta

* Fri Feb 12 2010 Paul Howarth <paul@city-fan.org> - 1:1.10-2
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Wed Jul 15 2009 Paul Howarth <paul@city-fan.org> - 1:1.10-1
- Update to 1.10 (require Compress::Zlib 2.000 or later)

* Tue May  5 2009 Paul Howarth <paul@city-fan.org> - 1:1.09-1
- Import from Fedora
- Update to 1.09
- Add epoch 1 for valid comparisons with Fedora versions

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.07-1
- Bump to 1.07
- Correct license tag
- Add BR: perl(ExtUtils::MakeMaker)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.04-4.3
- Rebuild

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 1.04-4.2
- Rebuild for new perl-5.8.8

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- Rebuilt for new gcc

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- Rebuilt for new gcj

* Fri Apr  2 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.04-3
- Explicit requirement: Compress::Zlib

* Fri Apr  1 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.04-2
- Update for Fedora Core 4

* Sun Oct  3 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.04-0.fdr.1
- Update to 1.04

* Tue Aug 24 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.03-0.fdr.2
- Signature test problem take 2: removed the test file instead (bug 2012)

* Tue Aug 24 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.03-0.fdr.1
- Update to 1.03
- Relocation of debug*.list files during the tests in order to avoid problems
  with Module::Signature (files not listed in MANIFEST).

* Mon May 10 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.01-0.fdr.5
- Avoid creation of the perllocal.pod file (make pure_install)

* Thu Apr 29 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.01-0.fdr.4
- perl -> %%{__perl} in %%build (bug 1525)

* Sun Apr 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.01-0.fdr.3
- Require perl(:MODULE_COMPAT_*)
- Reduce directory ownership bloat

* Tue Oct 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.01-0.fdr.2
- BuildArch: noarch

* Thu Sep  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.01-0.fdr.1
- First build
